org.apache.ignite.internal.management.persistence

## Class PersistenceBackupAllCommand

- java.lang.Object
- - org.apache.ignite.internal.management.persistence.PersistenceAbstractCommand
  - - org.apache.ignite.internal.management.persistence.PersistenceBackupAllCommand

All Implemented Interfaces:
  Command<PersistenceCommand.PersistenceTaskArg,PersistenceTaskResult>, ComputeCommand<PersistenceCommand.PersistenceTaskArg,PersistenceTaskResult>

    public class PersistenceBackupAllCommand
    extends PersistenceAbstractCommand

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`PersistenceBackupAllCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<PersistenceCommand.PersistenceBackupAllTaskArg>` `argClass()`
`String` `description()` Command description.

### Methods inherited from class org.apache.ignite.internal.management.persistence.PersistenceAbstractCommand

`printResult, taskClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### PersistenceBackupAllCommand

    public PersistenceBackupAllCommand()

### Method Detail

#### description

    public String description()

Command description.

#### argClass

    public Class<PersistenceCommand.PersistenceBackupAllTaskArg> argClass()

Returns:
  Arguments class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023